#pragma once

#include "../AG_Thread.h"																// CAG_Thread

class CProgressWindow :public CAG_Thread
{
public:
	CProgressWindow();
	virtual ~CProgressWindow();

	void CreateThreadderHWND();

	void DestroyThreadderHWND();

	// CAG_Thread ---------------------------------------------------------------------

	virtual UINT ThreadMain();

private: // ---------------------------------------------------------------------

	HWND										m_hThreadderWndParent;	//
	HWND										m_hThreadderWnd;				//!< handle to the progress window
};
